Bug 487012 - Directory ownership problem: /etc/bash_completion.d
Directory ownership problem: /etc/bash_completion.d
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: darcs (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Hinegardner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-23 12:14 EST by Michel Alexandre Salim
Modified: 2009-11-19 22:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 22:52:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2009-02-23 12:14:15 EST
Description of problem:
darcs installs a script in /etc/bash_completion.d, but does not own the directory or Requires: bash-completion.

Since the script can be considered a 'plug-in', and thus we should not force bash-completion on people who do not need it, the solution ought to be to simply own the directory in question. This is what bzr, git and rpmlint do.

Version-Release number of selected component (if applicable):
darcs-2.2.0-1.fc10

How reproducible:
Always

Steps to Reproduce:
1. Install darcs
2. rpm -ql darcs | grep bash
  
Actual results:
darcs does not own /etc/bash_completion.d but installs a file in it

Expected results:
darcs owns the directory as well

Additional info:
Comment 1 Jens Petersen 2009-06-02 09:06:25 EDT
Sorry forgot to update the bug.

Should be fixed in F11 (darcs-2.2.1-1.fc11).
Comment 2 Bug Zapper 2009-11-18 06:12:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.